Raritan / Server Technology Xerus™ PDU JSON-RPC API: pdumodel::TypeBResidualCurrentNumericSensor Interface Reference

Raritan / Server Technology Xerus™ PDU JSON-RPC API

Public Member Functions | List of all members
pdumodel::TypeBResidualCurrentNumericSensor Interface Reference

An RCM current sensor of type B (AC/DC) which allows degaussing the sensor. More...

`import"TypeBResidualCurrentNumericSensor.idl";`

Inheritance diagram for pdumodel::TypeBResidualCurrentNumericSensor:

## Public Member Functions
void | degauss ()
| Trigger a degauss cycle of the residual current sensor. More...
Public Member Functions inherited from sensors::NumericSensor
MetaData | getMetaData ()
| Retrieve the sensor metadata. More...
Thresholds | getDefaultThresholds ()
| Retrieve the sensor default thresholds. More...
Thresholds | getThresholds ()
| Retrieve the active thresholds. More...
int | setThresholds (in Thresholds thresh)
| Change the active thresholds. More...
Reading | getReading ()
| Get the sensor reading. More...
MinMax | getMinMax ()
| Get the min / max of sensor value. More...
void | resetMinMax ()
| Reset min / max of sensor value.
Public Member Functions inherited from sensors::Sensor
TypeSpec | getTypeSpec ()
| Retrieve the sensor type specification. More...
boolean | isTypeChangeAllowed ()
| Check whether the sensor type can be changed using setType(). More...
int | setType (in int type, in int unit)
| Set sensor type and unit. More...

## Additional Inherited Members
Public Types inherited from sensors::Sensor
enum | OnOffState { OFF , ON }
| Sensor states for DISCRETE_ON_OFF sensors. More...
enum | OpenClosedState { OPEN , CLOSED }
enum | NormalAlarmedState { NORMAL , ALARMED }
enum | OkFaultState { OK , FAULT }
Public Attributes inherited from sensors::NumericSensor
constant int | THRESHOLD_OUT_OF_RANGE = 1
| The threshold exceedes the sensor range.
constant int | THRESHOLD_INVALID = 2
| The threshold constraints are not met.
constant int | THRESHOLD_NOT_SUPPORTED = 3
| The sensor does not support setting this threshold.
Public Attributes inherited from sensors::Sensor
constant int | ERR_NOT_SUPPORTED = 1
| The operation is not supported.
constant int | NUMERIC = 0
| Sensor reading type
constant int | DISCRETE_ON_OFF = 1
constant int | DISCRETE_MULTI = 2
constant int | UNSPECIFIED = 0
| Sensor type
constant int | VOLTAGE = 1
constant int | CURRENT = 2
constant int | UNBALANCE_CURRENT = 3
constant int | POWER = 4
constant int | POWER_FACTOR = 5
constant int | ENERGY = 6
constant int | FREQUENCY = 7
constant int | TEMPERATURE = 8
constant int | HUMIDITY = 9
constant int | AIR_FLOW = 10
constant int | AIR_PRESSURE = 11
constant int | CONTACT_CLOSURE = 12
constant int | ON_OFF_SENSOR = 13
constant int | TRIP_SENSOR = 14
constant int | VIBRATION = 15
constant int | WATER_LEAK = 16
constant int | SMOKE_DETECTOR = 17
constant int | TOTAL_HARMONIC_DISTORTION = 18
constant int | MASS = 19
constant int | ELECTRICAL_RESISTANCE = 20
constant int | FLUX = 21
constant int | LUMINOUS_INTENSITY = 22
constant int | ACCELERATION = 23
constant int | MAGNETIC_FLUX_DENSITY = 24
constant int | ELECTRIC_FIELD_STRENGTH = 25
constant int | MAGNETIC_FIELD_STRENGTH = 26
constant int | ANGLE = 27
constant int | SELECTION = 28
constant int | FAULT_STATE = 29
constant int | POWER_QUALITY = 30
constant int | ROTATIONAL_SPEED = 31
constant int | LUMINOUS_ENERGY = 32
constant int | LUMINOUS_FLUX = 33
constant int | ILLUMINANCE = 34
constant int | LUMINOUS_EMITTANCE = 35
constant int | MOTION = 36
constant int | OCCUPANCY = 37
constant int | TAMPER = 38
constant int | DRY_CONTACT = 39
constant int | POWERED_DRY_CONTACT = 40
constant int | ABSOLUTE_HUMIDITY = 41
constant int | DOOR_STATE = 42
constant int | DOOR_LOCK_STATE = 43
constant int | DOOR_HANDLE_LOCK = 44
constant int | CREST_FACTOR = 45
constant int | DISTANCE = 46
constant int | LENGTH = 47
constant int | UNBALANCE_VOLTAGE = 48
constant int | PARTICLE_DENSITY = 49
constant int | NONE = 0
| Sensor unit
constant int | VOLT = 1
constant int | AMPERE = 2
constant int | WATT = 3
constant int | VOLT_AMP = 4
constant int | WATT_HOUR = 5
constant int | VOLT_AMP_HOUR = 6
constant int | DEGREE_CELSIUS = 7
constant int | HZ = 8
constant int | PERCENT = 9
constant int | METER_PER_SEC = 10
constant int | PASCAL = 11
constant int | G = 12
constant int | RPM = 13
constant int | METER = 14
constant int | HOUR = 15
constant int | MINUTE = 16
constant int | SECOND = 17
constant int | VOLT_AMP_REACTIVE = 18
constant int | VOLT_AMP_REACTIVE_HOUR = 19
constant int | GRAM = 20
constant int | OHM = 21
constant int | LITERS_PER_HOUR = 22
constant int | CANDELA = 23
constant int | METER_PER_SQUARE_SEC = 24
constant int | METER_PER_SQARE_SEC = 24
constant int | TESLA = 25
constant int | VOLT_PER_METER = 26
constant int | VOLT_PER_AMPERE = 27
constant int | DEGREE = 28
constant int | DEGREE_FAHRENHEIT = 29
constant int | KELVIN = 30
constant int | JOULE = 31
constant int | COULOMB = 32
constant int | NIT = 33
constant int | LUMEN = 34
constant int | LUMEN_SECOND = 35
constant int | LUX = 36
constant int | PSI = 37
constant int | NEWTON = 38
constant int | FOOT = 39
constant int | FOOT_PER_SEC = 40
constant int | CUBIC_METER = 41
constant int | RADIANT = 42
constant int | STERADIANT = 43
constant int | HENRY = 44
constant int | FARAD = 45
constant int | MOL = 46
constant int | BECQUEREL = 47
constant int | GRAY = 48
constant int | SIEVERT = 49
constant int | G_PER_CUBIC_METER = 50
constant int | UG_PER_CUBIC_METER = 51

## Detailed Description

An RCM current sensor of type B (AC/DC) which allows degaussing the sensor.

## Member Function Documentation

## ◆ degauss()

void pdumodel::TypeBResidualCurrentNumericSensor::degauss | ( |  | ) |

Trigger a degauss cycle of the residual current sensor.

In certain scenarios there's a possibility of magnetization of the residual current sensor, in which case current will be measured even if there is no actual current flow. When that happens, the sensor can be demagnetized by calling this method.

IMPORTANT: Only call this while there is no actual current flow!

The documentation for this interface was generated from the following file:

- TypeBResidualCurrentNumericSensor.idl